<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>1.4.1.RELEASE</version>
    </parent>
    <groupId>com.uas.report</groupId>
    <artifactId>report-parent</artifactId>
    <packaging>pom</packaging>
    <version>0.0.1</version>

    <modules>
        <module>report</module>
        <module>report-common</module>
        <module>crystal2jasper</module>
    </modules>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.version>0.0.1</project.version>
        <report.common.version>${project.version}</report.common.version>
    </properties>

    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <configuration>
                        <source>1.7</source>
                        <target>1.7</target>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>

    <distributionManagement>
        <!-- 发布release仓库 -->
        <repository>
            <id>platform-release</id>
            <name>platform-release</name>
            <url>http://113.105.74.141:8081/artifactory/libs-release-local</url>
        </repository>
        <!-- 发布快照版本 -->
        <snapshotRepository>
            <id>platform-snapshots</id>
            <name>platform-snapshots</name>
            <url>http://113.105.74.141:8081/artifactory/libs-snapshot-local</url>
        </snapshotRepository>
    </distributionManagement>
</project>
